Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.scope
Class LocalSearchPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
          org.optaplanner.core.impl.localsearch.scope.LocalSearchPhaseScope

    public class LocalSearchPhaseScope

extends AbstractPhaseScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`LocalSearchPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`LocalSearchStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedStepScope(LocalSearchStepScope lastCompletedStepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
`assertExpectedUndoMoveScore, assertExpectedWorkingScore, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpent, calculateScore, calculateSolverTimeMillisSpent, getBestScore, getBestScoreWithUninitializedPrefix, getBestSolutionStepIndex, getNextStepIndex, getPhaseBestSolutionTimeMillis, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalSearchPhaseScope

    public LocalSearchPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public LocalSearchStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(LocalSearchStepScope lastCompletedStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.